let mysleep n =                                              
  let start = Unix.gettimeofday() in                         
  let rec delay t =                                          
    try                                                      
      ignore (Unix.select [] [] [] t)                        
    with Unix.Unix_error(Unix.EINTR, _, _) ->                
      let now = Unix.gettimeofday() in                       
      let remaining = start +. n -. now in                   
      if remaining > 0.0 then delay remaining in             
  delay n;;
