(* fonction affichage des tats successifs de l'automate*)

open Graphics;;
open Mysleep;;
open Structures;;
open Affiche_graphique;;

external init : graphe -> int -> int -> (int * int) array = "caml_init";;
external step : unit -> unit = "caml_step";;


let affich_successifs nb_iter graphe automate =
  let tab_positions = init graphe 800 800 
  and compt = ref 0 
  and tab_col = Array.make (get_n graphe) red in
    clear_graph ();
    affiche graphe tab_positions tab_col;
    mysleep 1.0;
    while (!compt < nb_iter) do 
      begin
	step();
	clear_graph ();
	affiche graphe tab_positions tab_col; 
	compt := !compt+1;
      end;
    done;


